Debian Bug report logs - #286926
gtkpod: FTBFS (amd64/gcc-4.0): previous declaration of 'path_button_names' was here

version graph

Package: gtkpod; Maintainer for gtkpod is gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>; Source for gtkpod is src:gtkpod.

Reported by: Andreas Jochens <aj@andaco.de>

Date: Wed, 22 Dec 2004 23:48:01 UTC

Severity: normal

Tags: patch

Fixed in version gtkpod/0.85.0-1

Done: Frank Lichtenheld <djpig@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Quôc Peyrot <chojin@debian.org>:
Bug#286926; Package gtkpod. Full text and rfc822 format available.

Acknowledgement sent to Andreas Jochens <aj@andaco.de>:
New Bug report received and forwarded. Copy sent to Quôc Peyrot <chojin@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Jochens <aj@andaco.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gtkpod: FTBFS (amd64/gcc-4.0): previous declaration of 'path_button_names' was here
Date: Thu, 23 Dec 2004 00:42:50 +0100
Package: gtkpod
Severity: normal
Tags: patch

When building 'gtkpod' on amd64 with gcc-4.0,
I get the following error:

prefs_window.h:34: error: previous declaration of 'path_button_names' was here
prefs_window.c: In function 'on_cfg_st_autoselect_toggled':
prefs_window.c:115: warning: cast from pointer to integer of different size
prefs_window.c: In function 'on_cfg_autosettags_toggled':
prefs_window.c:123: warning: cast from pointer to integer of different size
prefs_window.c: In function 'on_cfg_col_visible_toggled':
prefs_window.c:132: warning: cast from pointer to integer of different size
prefs_window.c: In function 'prefs_window_create':
prefs_window.c:541: warning: cast to pointer from integer of different size
prefs_window.c:553: warning: cast to pointer from integer of different size
prefs_window.c:568: warning: cast to pointer from integer of different size
prefs_window.c:590: warning: cast to pointer from integer of different size
prefs_window.c:647: warning: cast to pointer from integer of different size
make[3]: *** [prefs_window.o] Error 1
make[3]: Leaving directory `/gtkpod-0.85.0/src'

With the attached patch 'gtkpod' can be compiled
on amd64 using gcc-4.0.

Regards
Andreas Jochens

diff -urN ../tmp-orig/gtkpod-0.85.0/src/prefs_window.h ./src/prefs_window.h
--- ../tmp-orig/gtkpod-0.85.0/src/prefs_window.h	2004-10-02 15:54:10.000000000 +0200
+++ ./src/prefs_window.h	2004-12-23 00:22:02.617405336 +0100
@@ -31,7 +31,6 @@
 #include <gtk/gtk.h>
 #include "prefs.h"
 
-extern const gchar *path_button_names[];
 extern const gchar *path_entry_names[];
 
 void prefs_window_update_default_sizes (void);



Reply sent to Frank Lichtenheld <djpig@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Andreas Jochens <aj@andaco.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 286926-close@bugs.debian.org (full text, mbox):

From: Frank Lichtenheld <djpig@debian.org>
To: 286926-close@bugs.debian.org
Subject: Bug#286926: fixed in gtkpod 0.85.0-1
Date: Thu, 06 Jan 2005 20:17:14 -0500
Source: gtkpod
Source-Version: 0.85.0-1

We believe that the bug you reported is fixed in the latest version of
gtkpod, which is due to be installed in the Debian FTP archive:

gtkpod_0.85.0-1.diff.gz
  to pool/main/g/gtkpod/gtkpod_0.85.0-1.diff.gz
gtkpod_0.85.0-1.dsc
  to pool/main/g/gtkpod/gtkpod_0.85.0-1.dsc
gtkpod_0.85.0-1_i386.deb
  to pool/main/g/gtkpod/gtkpod_0.85.0-1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 286926@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Frank Lichtenheld <djpig@debian.org> (supplier of updated gtkpod package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri,  7 Jan 2005 01:01:58 +0100
Source: gtkpod
Binary: gtkpod
Architecture: source i386
Version: 0.85.0-1
Distribution: unstable
Urgency: low
Maintainer: Frank Lichtenheld <djpig@debian.org>
Changed-By: Frank Lichtenheld <djpig@debian.org>
Description: 
 gtkpod     - manage songs and playlists on an Apple iPod
Closes: 230898 264682 268340 275363 286926 287988
Changes: 
 gtkpod (0.85.0-1) unstable; urgency=low
 .
   * New maintainer (Closes: #287988)
     Acknowledge my own NMU (Closes: #264682, #268340, #230898, #275363)
   * Apply patch by Andreas Jochens to let gtkpod compile
     with gcc-4.0 (Closes: #286926)
Files: 
 e4d186856c05a772b2ff27f1504f6198 643 sound extra gtkpod_0.85.0-1.dsc
 c19215f26826b10d60ce9be630151912 10715 sound extra gtkpod_0.85.0-1.diff.gz
 232107276af6984a2d6ffd069ed36a01 386944 sound extra gtkpod_0.85.0-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFB3dSjQbn06FtxPfARAu8VAKDRYuhIHAe8FNLOmRu4mA9P0hC+5gCdGD0K
wNzRNuI5HRfSfZUhq7znY90=
=hyHn
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 10:08:34 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.